[CentOS] Problem with PHP / Postgresql on CentOS6.2

John R Pierce pierce at hogranch.com
Tue Mar 27 13:54:53 EDT 2012

On 03/27/12 5:49 AM, Rudinei Dias wrote:
> HI.
> I have instaled a WEB server with Postgresql on CentOS 6.2.
> PostgreSQL, versin 9.1.3 x64 from EntrrpriseDB base *.run*.
> PHP with PDO from YUM using reposity versions.

use the postgres developer group's RPM's, not the entterpriseDB installer.

# rpm -ivh 
# yum install postgresql91-{server,contrib,devel)
# service postgresql-9.1 initdb
(then edit your .conf files in /var/lib/pgsql/9.1/data
# chkconfig postgresql-9.1 on
# service postgresql-9.1 start

done.   this will properly integrate with the base repository's 
php-pgsql and pdo.

john r pierce                            N 37, W 122
santa cruz ca                         mid-left coast

More information about the CentOS mailing list